漏洞信息详情

Padrino Framework breadcrumbs contributed模块跨站脚本漏洞

  • CNNVD编号:CNNVD-201909-372
  • 危害等级: 中危
  • CVE编号: CVE-2019-16145
  • 漏洞类型: 跨站脚本
  • 发布时间: 2019-09-09
  • 威胁类型: 远程
  • 更新时间: 2019-09-12
  • 厂        商:
  • 漏洞来源:

漏洞简介

Padrino Framework是一款使用Ruby语言编写的开源Web框架。breadcrumbs contributed module是其中的一个导航模块。

Padrino Framework的breadcrumbs contributed模块0.2.0及之前版本中存在跨站脚本漏洞。该漏洞源于WEB应用缺少对客户端数据的正确验证。攻击者可利用该漏洞执行客户端代码。

漏洞公告

目前厂商暂未发布修复措施解决此安全问题,建议使用此软件的用户随时关注厂商主页或参考网址以获取解决办法:

http://padrinorb.com

参考网址

来源:github.com

链接:https://github.com/padrino/padrino-contrib/pull/35

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-16145

受影响实体

    暂无


补丁

    暂无

漏洞信息快速查询

相关漏洞

更多